Class {
	#name : #HedgeDocGrammarExamples,
	#superclass : #Object,
	#category : #'MiniDocs-Examples'
}

{ #category : #accessing }
HedgeDocGrammarExamples >> hedgeDocParseYoutubeEmbeddedLinkExample [
	<gtExample>
	| aSampleString parsedStringTokens parsedCollection |
	aSampleString := '{%youtube 1aw3XmTqFXA %}'.
	parsedStringTokens := HedgeDocGrammar new youtubeEmbeddedLink parse: aSampleString.
	parsedCollection := parsedStringTokens first.
	self assert: parsedCollection size equals: 3.
	self assert: parsedCollection first value equals: '{%youtube'.
	self assert: parsedCollection second class equals: PP2Token.
	self assert: parsedCollection third value equals: '%}'.
	^ parsedStringTokens
]
