Class {
	#name : #PPCMListItem,
	#superclass : #PPCMDelegateNode,
	#category : #'PetitMarkdown-AST'
}

{ #category : #visiting }
PPCMListItem >> accept: visitor [
	^ visitor visitListItem: self
]

{ #category : #'as yet unclassified' }
PPCMListItem >> initialize [
	super initialize.
	children := Array new: 1.
]

{ #category : #'as yet unclassified' }
PPCMListItem >> isBlockLevel [
	^ true
]

{ #category : #accessing }
PPCMListItem >> viewBody [

	| aText |
	aText := self className asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child className asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: ('= "' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append: (child className asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
		aText append:
			('"' asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor) ].


	^ aText
]
