Class {
	#name : #GrafoscopioNodeTest,
	#superclass : #TestCase,
	#category : #'MiniDocs-Legacy'
}

{ #category : #accessing }
GrafoscopioNodeTest >> testEarliestCreationNode [
	| notebook remoteNotebook offedingNodes |
	remoteNotebook := 'https://mutabit.com/repos.fossil/documentaton/raw/a63598382?at=documentaton.ston'.
	notebook := (STON fromString: remoteNotebook asUrl retrieveContents utf8Decoded) first parent.
	offedingNodes := notebook nodesInPreorder select: [:node | 
		node created isNotNil and: [node created < notebook earliestCreationDate] ].
	self assert: offedingNodes size equals: 0
]
