Class {
	#name : #CMVisitor,
	#superclass : #Object,
	#category : #'PetitMarkdown-Visitors'
}

{ #category : #'as yet unclassified' }
CMVisitor >> visitBlockQuote: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitContainer: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitDocument: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitFencedCode: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitHRule: node [
	^ node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitHeader: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitHtml: node [
	^ node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitHtmlBlock: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitIndentedCode: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitLine: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitLinkRefDef: node [
	^ node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitLinkRefDefPlaceholder: node [
	^ node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitList: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitListItem: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitNode: node [
	^ node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitParagraph: node [
	^ self visitWhatever: node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitText: node [
	^ node
]

{ #category : #'as yet unclassified' }
CMVisitor >> visitWhatever: node [
	node children do: [ :child | 
		node replace: child 
			  with: (child accept: self)
	].
	^ node
]
