Class {
	#name : #PPCMBlockQuote,
	#superclass : #PPCMDelegateNode,
	#instVars : [
		'code',
		'infoString'
	],
	#category : #'PetitMarkdown-AST'
}

{ #category : #visiting }
PPCMBlockQuote >> accept: visitor [
	^ visitor visitBlockQuote: self
]

{ #category : #visiting }
PPCMBlockQuote >> initialize [
	super initialize.
	children := Array new: 1.
]

{ #category : #testing }
PPCMBlockQuote >> isBlockLevel [
	^ true
]

{ #category : #accessing }
PPCMBlockQuote >> viewBody [
	^ (self className ,' ', self text) asRopedText.
]
