Class {
	#name : #PPCMLinkRefDefPlaceholder,
	#superclass : #PPCMNode,
	#category : #'PetitMarkdown-AST'
}

{ #category : #'as yet unclassified' }
PPCMLinkRefDefPlaceholder >> accept: visitor [
	^ visitor visitLinkRefDefPlaceholder: self
]

{ #category : #'as yet unclassified' }
PPCMLinkRefDefPlaceholder >> isBlockLevel [
	^ true
]

{ #category : #accessing }
PPCMLinkRefDefPlaceholder >> viewBody [

	| aText |
	aText := (self className ) asRopedText.

	self children do: [ :child | 
		aText append: ' ' asRopedText.
		aText append: (child className asRopedText foreground:
				 BrGlamorousColors disabledButtonTextColor).
	].


	^ aText
]
